Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI
Class GEVABookContainer

    java.lang.Object
      UI.GEVAControl
          UI.GEVAContainerControl
              UI.GEVABookContainer

    public class GEVABookContainer

extends GEVAContainerControl

The root container for all properties. Displayed as a tabbed control, allows the properties to be grouped into logical pages

Author:
  eliottbartley

Nested Class Summary

Nested classes/interfaces inherited from class UI.GEVAContainerControl
`GEVAContainerControl.Controls`

Field Summary

Fields inherited from class UI.GEVAContainerControl
`controls`

Fields inherited from class UI.GEVAControl
`comment, dirtyListener, name, parent, title, type`

Constructor Summary
`GEVABookContainer(GEVADirtyListener dirtyListener, java.lang.String comment)`

Method Summary
`void` | `add(GEVAControl page)` Add an awt component to the awt component that is this container.
`void` | `addControlGroup(java.lang.String name, GEVAControlGroup controlGroup)` Add a control group to an object, typically the Book object.
`int` | `countComponents()` Abstract way for a container to know about its child's awt components.
`java.awt.Component` | `getComponent(int index)` Abstract way for a container to know about its child's awt components.
`java.lang.String` | `getText()` Get the value of teh control, using a text string
`void` | `setPage(java.lang.String title)` Helper - programmatically change the selected tabbed page to the specified page by title.
`void` | `setText(java.lang.String text)` By default, containers don't have a setText (though Book container does, so it can change pages through setText)
`void` | `setVisible(boolean show)` Make this control visible
`void` | `setVisibleControlGroup(java.lang.String name, boolean show)` Make all the controls in the control group visible or hidden.

Methods inherited from class UI.GEVAContainerControl
`load, save, setEnabled, validate`

Methods inherited from class UI.GEVAControl
`addActionListener, fireActionEvent, getComment, getComponent, getName, getParent, getTitle, getType, isType, removeActionListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GEVABookContainer

    public GEVABookContainer(GEVADirtyListener dirtyListener,
                             java.lang.String comment)

Method Detail

### setPage

    public void setPage(java.lang.String title)

  Helper - programmatically change the selected tabbed page to the specified page by title.

  Parameters:
    `title` - The title of the page used for the title argument set when creating the GEVAPageControl

### add

    public void add(GEVAControl page)

  Description copied from class: `GEVAContainerControl`
  Add an awt component to the awt component that is this container. This also adds a tool tip to the control based on the comment, currently (2008y05M26d) only adds this tooltip if the component is a swing component. This must be always called (inheriting classes that override must super.add())

  Overrides:
    `add` in class `GEVAContainerControl`
  Parameters:
    `page` - The control to add

### getComponent

    public java.awt.Component getComponent(int index)

  Description copied from class: `GEVAControl`
  Abstract way for a container to know about its child's awt components.

  Specified by:
    `getComponent` in class `GEVAControl`
  Parameters:
    `index` - The index of the component to get
  Returns:
    The indexed awt component of the control

### countComponents

    public int countComponents()

  Description copied from class: `GEVAControl`
  Abstract way for a container to know about its child's awt components. Counts how many components the child has

  Specified by:
    `countComponents` in class `GEVAControl`
  Returns:
    The number (N) components the child has. getComponent(0)..getComponent(N-1) must all return valid components

### addControlGroup

    public void addControlGroup(java.lang.String name,
                                GEVAControlGroup controlGroup)

  Add a control group to an object, typically the Book object. A control group is a collection of controls that all act in a similar way for a given event, such as all being shown/hidden depending on the selection of a drop-down

  Parameters:
    `name` - The name of the control group. All controls in the group are referenced by this name
    `controlGroup` - A collection of all the controls in the group

### setVisibleControlGroup

    public void setVisibleControlGroup(java.lang.String name,
                                       boolean show)

  Description copied from class: `GEVAControl`
  Make all the controls in the control group visible or hidden.

  Overrides:
    `setVisibleControlGroup` in class `GEVAContainerControl`
  Parameters:
    `name` - The name of the control group, as set during the call to addControlGroup
    `show` - Specify true to show the group, else false

### setVisible

    public void setVisible(boolean show)

  Description copied from class: `GEVAControl`
  Make this control visible

  Overrides:
    `setVisible` in class `GEVAContainerControl`
  Parameters:
    `show` - Specify true to show this control, else false to hide

### getText

    public java.lang.String getText()

  Description copied from class: `GEVAControl`
  Get the value of teh control, using a text string

  Overrides:
    `getText` in class `GEVAContainerControl`
  Returns:
    The value of the control in string format

### setText

    public void setText(java.lang.String text)

  Description copied from class: `GEVAContainerControl`
  By default, containers don't have a setText (though Book container does, so it can change pages through setText)

  Overrides:
    `setText` in class `GEVAContainerControl`
  Parameters:
    `text` - The value to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD